编程分享
穿越遮蔽,寻找真相

Laravel框架学习笔记一:环境安装与配置

Laravel 框架对PHP版本和扩展有一定要求,不过本地调式的话,使用phpstudy 很容易切换php的版本。

安装 Laravel

Laravel 使用 Composer 管理依赖,所以,安装之前确保已经在机器上安装了 Composer(如果尚未安装的话参考这份文档去安装吧)。

第一次安装Composer ,需要选择具体版本的php.exe。 因为我只需要安装laravel5.5的版本,所以我用在phpstudy里7.0的文件夹内php.exe 就可以了。

 

全局设置 Composer 使用中国镜像

全局设置 Composer 使用中国镜像:composer config g repo.packagist composer https://packagist.phpcomposer.com
查看现在使用的镜像地址:composer config –gl
看到[repositories.packagist.org.url] https://packagist.phpcomposer.com
设置成功。

上面方式可以把Composer 命令都设置成国内镜像。速度有所提升。

通过 Composer Create-Project 新建laravel项目

你还可以在终端中通过 Composer 的 create-project 命令来安装 Laravel 应用:

composer create-project --prefer-dist laravel/laravel blog

如果要下载安装 Laravel 其他版本应用,比如 5.5 版本,可以使用这个命令:

composer create-project --prefer-dist laravel/laravel blog 5.5.*。

 

phpstorm 里面打开这个项目。 可以使用 Artisan 命令 serve:  在Terminal里面输入

 

php artisan serve

这个来启动项目。

该命令将会在本地启动开发环境服务器,这样在浏览器中通过 http://localhost:8000 即可访问应用:

赞(0) 打赏
未经允许不得转载:亚当博客 » Laravel框架学习笔记一:环境安装与配置
分享到: 更多 (0)

相关推荐

  • 暂无文章

评论 抢沙发

评论前必须登录!

 

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏